import type { AudioTrackAtom, MediaTrackAtom, SubtitleTrackAtom, TrackAtom, VideoTrackAtom } from './TrackAtom';
export declare function isAudioTrack(track: TrackAtom): track is AudioTrackAtom;
export declare function isAudioTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is AudioTrackAtom;
export declare function isMediaTrack(track: TrackAtom): track is MediaTrackAtom;
export declare function isMediaTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is MediaTrackAtom;
export declare function isSubtitleTrack(track: TrackAtom): track is SubtitleTrackAtom;
export declare function isSubtitleTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is SubtitleTrackAtom;
export declare function isVideoTrack(track: TrackAtom): track is VideoTrackAtom;
export declare function isVideoTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is VideoTrackAtom;
export declare function isMuxedTrack(track: TrackAtom): track is VideoTrackAtom;
export declare function isMuxedTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is VideoTrackAtom;
export declare function isMediaOrSubtitleTrack(track: TrackAtom): track is MediaTrackAtom | SubtitleTrackAtom;
export declare function isMediaOrSubtitleTrack(track: TrackAtom, index: number, array: TrackAtom[]): track is MediaTrackAtom | SubtitleTrackAtom;
